Skip to navigation

Members Secondary Emails Delete

View as Markdown

Delete secondary emails from users

Permission : Team member management.

Users will be notified of deletions of verified secondary emails at both the secondary email and their primary email.

Required scope: members.write

Endpoint format: RPC

Authentication: Team

Authentication

AuthorizationBearer

Team-level OAuth 2.0 token issued to a Dropbox Business admin. Use Authorization: Bearer <token>.

Obtain via the authorization code flow with team-scoped permissions.

Grants access to team-wide administrative operations.

You can generate a short-lived access token from the App Console; see Testing with a generated token.

Request

This endpoint expects an object.
emails_to_deletelist of objectsRequired
List of users and their secondary emails to delete.

Response headers

X-Dropbox-Request-IdstringOptional
A unique identifier for the request, useful for debugging and support.

Response

Successful response
resultslist of objects
Variant:
team_apiv2.UserDeleteResult.successobject
Describes a user and the results for each attempt to delete a secondary email.

Errors

401
Unauthorized Error
403
Forbidden Error
409
Conflict Error
429
Too Many Requests Error
500
Internal Server Error